Subject: Re: bug#55414: 29.0.50; Byte compilation error for the modus-themes

From: Protesilaos Stavrou <[email-masked]>
Date: Mon, 16 May 2022 11:21:38 +0300

> From: Alan Mackenzie <[email-masked]>
> Date: Mon, 16 May 2022 07:58:02 +0000
>
> Hello, Lars and Prot.

Good day Alan (and Lars)!

> [... 22 lines elided]
>
> My feeling is that the first overflow is a real overflow, not an
> infinite recursion, and could you (Prot) please test this by compiling
> with a larger max-lisp-eval-depth, something like
>
>    M-: (let ((max-lisp-eval-depth (* 2 max-lisp-eval-depth)))
>    (byte-compile-file
>    "~/Git/Projects/modus-themes/modus-operandi-theme.e..."))
>
> If this compilation succeeds, then perhaps we need to increase our
> default max-lisp-eval-depth.

If I start a new Emacs session and evaluate the form you provided, it
still reproduces the error.  I need to change it to * 6 to get the
desired result.  If, however, I delete the .elc file that was just
created and retry with * 2 then byte compilation works.

Whatever I do, the original max-lisp-eval-depth is not enough.

-- 
Protesilaos Stavrou
https://protesilaos.com